Subject: [clue] Encoding Group with multiple media types

From: "Duckworth, Mark" <[email-masked]>
Date: Wed, 16 Jul 2014 14:44:53 -0700

I vaguely recall discussing this at some IETF meeting.  I think the group decided we should allow an encoding group to include individual encodings for multiple media types.  So I think I should make that clear in the text in section 9.2, keep the example in 12.1.2 as it is, and we should update the data model syntax to allow it.

Mark

> -----Original Message-----
> From: clue [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Sunday, June 29, 2014 11:48 PM
> To: [email-masked]
> Subject: Re: [clue] Pre-WGLC: draft-ietf-clue-framework-15.txt
> 
> On 6/29/14 10:49 PM, Christian Groves wrote:
> 
> >>> Cl.9.2: There is no explicit mention of whether individual encodings
> >>> of multiple media types i.e. audio and video can belong to a single group.
> >> [Duckworth, Mark] The data model restricts an encoding group to a
> >> particular media type.
> 
> Section 12.1.2 shows an encoding group that has both audio and video
> encodings, and discusses this as an alternative to having separate encoding
> groups. It is clearly saying this is intended.
> 
> > [CNG] Yes but you shouldn't have to look at the data model to find
> > this out. I think the inclusion of a sentence to the effect that
> > encoding groups are limited to a single media type would be beneficial.
> 
> 	Thanks,
> 	Paul
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue